Package com.ocient.jdbc.proto

# Class ClientWireProtocol.OpenIDAuthenticator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.OpenIDAuthenticator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.OpenIDAuthenticator`

public static final class ClientWireProtocol.OpenIDAuthenticator.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder> implements ClientWireProtocol.OpenIDAuthenticatorOrBuilder
Protobuf type `xg.cmdcomp.OpenIDAuthenticator`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addAllScope(Iterable<String> values)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addScope(String value)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addScopeBytes(com.google.protobuf.ByteString value)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator`
`build()`
`ClientWireProtocol.OpenIDAuthenticator`
`buildPartial()`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clear()`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearClientId()`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearIssuer()`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearScope()`
`repeated string scope = 3;`
`String`
`getClientId()`
`string clientId = 2;`
`com.google.protobuf.ByteString`
`getClientIdBytes()`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getIssuer()`
`string issuer = 1;`
`com.google.protobuf.ByteString`
`getIssuerBytes()`
`string issuer = 1;`
`String`
`getScope(int index)`
`repeated string scope = 3;`
`com.google.protobuf.ByteString`
`getScopeBytes(int index)`
`repeated string scope = 3;`
`int`
`getScopeCount()`
`repeated string scope = 3;`
`com.google.protobuf.ProtocolStringList`
`getScopeList()`
`repeated string scope = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(ClientWireProtocol.OpenIDAuthenticator other)`
`final ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setClientId(String value)`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setClientIdBytes(com.google.protobuf.ByteString value)`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setIssuer(String value)`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setIssuerBytes(com.google.protobuf.ByteString value)`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setScope(int index, String value)`
`repeated string scope = 3;`
`final ClientWireProtocol.OpenIDAuthenticator.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### clear

public ClientWireProtocol.OpenIDAuthenticator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.OpenIDAuthenticator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.OpenIDAuthenticator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.OpenIDAuthenticator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(ClientWireProtocol.OpenIDAuthenticator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`
Throws:
  `IOException`

### getIssuer

public String getIssuer()
`string issuer = 1;`

Specified by:
  `getIssuer` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The issuer.

### getIssuerBytes

public com.google.protobuf.ByteString getIssuerBytes()
`string issuer = 1;`

Specified by:
  `getIssuerBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The bytes for issuer.

### setIssuer

public ClientWireProtocol.OpenIDAuthenticator.Builder setIssuer(String value)
`string issuer = 1;`

Parameters:
  `value` - The issuer to set.
Returns:
  This builder for chaining.

### clearIssuer

public ClientWireProtocol.OpenIDAuthenticator.Builder clearIssuer()
`string issuer = 1;`

Returns:
  This builder for chaining.

### setIssuerBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder setIssuerBytes(com.google.protobuf.ByteString value)
`string issuer = 1;`

Parameters:
  `value` - The bytes for issuer to set.
Returns:
  This builder for chaining.

### getClientId

public String getClientId()
`string clientId = 2;`

Specified by:
  `getClientId` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The clientId.

### getClientIdBytes

public com.google.protobuf.ByteString getClientIdBytes()
`string clientId = 2;`

Specified by:
  `getClientIdBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The bytes for clientId.

### setClientId

public ClientWireProtocol.OpenIDAuthenticator.Builder setClientId(String value)
`string clientId = 2;`

Parameters:
  `value` - The clientId to set.
Returns:
  This builder for chaining.

### clearClientId

public ClientWireProtocol.OpenIDAuthenticator.Builder clearClientId()
`string clientId = 2;`

Returns:
  This builder for chaining.

### setClientIdBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder setClientIdBytes(com.google.protobuf.ByteString value)
`string clientId = 2;`

Parameters:
  `value` - The bytes for clientId to set.
Returns:
  This builder for chaining.

### getScopeList

public com.google.protobuf.ProtocolStringList getScopeList()
`repeated string scope = 3;`

Specified by:
  `getScopeList` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  A list containing the scope.

### getScopeCount

public int getScopeCount()
`repeated string scope = 3;`

Specified by:
  `getScopeCount` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The count of scope.

### getScope

public String getScope(int index)
`repeated string scope = 3;`

Specified by:
  `getScope` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The scope at the given index.

### getScopeBytes

public com.google.protobuf.ByteString getScopeBytes(int index)
`repeated string scope = 3;`

Specified by:
  `getScopeBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the scope at the given index.

### setScope

public ClientWireProtocol.OpenIDAuthenticator.Builder setScope(int index, String value)
`repeated string scope = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The scope to set.
Returns:
  This builder for chaining.

### addScope

public ClientWireProtocol.OpenIDAuthenticator.Builder addScope(String value)
`repeated string scope = 3;`

Parameters:
  `value` - The scope to add.
Returns:
  This builder for chaining.

### addAllScope

public ClientWireProtocol.OpenIDAuthenticator.Builder addAllScope(Iterable<String> values)
`repeated string scope = 3;`

Parameters:
  `values` - The scope to add.
Returns:
  This builder for chaining.

### clearScope

public ClientWireProtocol.OpenIDAuthenticator.Builder clearScope()
`repeated string scope = 3;`

Returns:
  This builder for chaining.

### addScopeBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder addScopeBytes(com.google.protobuf.ByteString value)
`repeated string scope = 3;`

Parameters:
  `value` - The bytes of the scope to add.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.OpenIDAuthenticator.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.OpenIDAuthenticator.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`